Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel
Interface FtpMessageFilterDocument.FtpMessageFilter

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  FtpMessageFilterDocumentImpl.FtpMessageFilterImpl

Enclosing interface:
  FtpMessageFilterDocument

    public static interface FtpMessageFilterDocument.FtpMessageFilter

extends org.apache.xmlbeans.XmlObject

An XML ftp-message-filter(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd). This is a complex type.

Nested Class Summary
`static class` | `FtpMessageFilterDocument.FtpMessageFilter.Factory` A factory class with static methods for creating instances of this type.
`static interface` | `FtpMessageFilterDocument.FtpMessageFilter.Protocol` An XML protocol(@).

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`java.lang.String` | `getCertificateName()` Gets the "certificate-name" attribute
`java.lang.String` | `getCertificatePassphrase()` Gets the "certificate-passphrase" attribute
`java.lang.String` | `getCertificateUrl()` Gets the "certificate-url" attribute
`java.lang.String` | `getDirectory()` Gets the "directory" attribute
`boolean` | `getErrorDelete()` Gets the "error-delete" attribute
`java.lang.String` | `getErrorDirectory()` Gets the "error-directory" attribute
`java.lang.String` | `getErrorSuffix()` Gets the "error-suffix" attribute
`java.lang.String` | `getInputSuffix()` Gets the "input-suffix" attribute
`boolean` | `getPassive()` Gets the "passive" attribute
`java.lang.String` | `getPassword()` Gets the "password" attribute
`boolean` | `getPostDelete()` Gets the "post-delete" attribute
`java.lang.String` | `getPostDirectory()` Gets the "post-directory" attribute
`java.lang.String` | `getPostSuffix()` Gets the "post-suffix" attribute
`FtpMessageFilterDocument.FtpMessageFilter.Protocol.Enum` | `getProtocol()` Gets the "protocol" attribute
`boolean` | `getReadOnly()` Gets the "read-only" attribute
`java.lang.String` | `getUsername()` Gets the "username" attribute
`java.lang.String` | `getWorkSuffix()` Gets the "work-suffix" attribute
`boolean` | `isSetCertificateName()` True if has "certificate-name" attribute
`boolean` | `isSetCertificatePassphrase()` True if has "certificate-passphrase" attribute
`boolean` | `isSetCertificateUrl()` True if has "certificate-url" attribute
`boolean` | `isSetErrorDelete()` True if has "error-delete" attribute
`boolean` | `isSetErrorDirectory()` True if has "error-directory" attribute
`boolean` | `isSetErrorSuffix()` True if has "error-suffix" attribute
`boolean` | `isSetPassive()` True if has "passive" attribute
`boolean` | `isSetPassword()` True if has "password" attribute
`boolean` | `isSetPostDelete()` True if has "post-delete" attribute
`boolean` | `isSetPostDirectory()` True if has "post-directory" attribute
`boolean` | `isSetPostSuffix()` True if has "post-suffix" attribute
`boolean` | `isSetProtocol()` True if has "protocol" attribute
`boolean` | `isSetReadOnly()` True if has "read-only" attribute
`boolean` | `isSetWorkSuffix()` True if has "work-suffix" attribute
`void` | `setCertificateName(java.lang.String certificateName)` Sets the "certificate-name" attribute
`void` | `setCertificatePassphrase(java.lang.String certificatePassphrase)` Sets the "certificate-passphrase" attribute
`void` | `setCertificateUrl(java.lang.String certificateUrl)` Sets the "certificate-url" attribute
`void` | `setDirectory(java.lang.String directory)` Sets the "directory" attribute
`void` | `setErrorDelete(boolean errorDelete)` Sets the "error-delete" attribute
`void` | `setErrorDirectory(java.lang.String errorDirectory)` Sets the "error-directory" attribute
`void` | `setErrorSuffix(java.lang.String errorSuffix)` Sets the "error-suffix" attribute
`void` | `setInputSuffix(java.lang.String inputSuffix)` Sets the "input-suffix" attribute
`void` | `setPassive(boolean passive)` Sets the "passive" attribute
`void` | `setPassword(java.lang.String password)` Sets the "password" attribute
`void` | `setPostDelete(boolean postDelete)` Sets the "post-delete" attribute
`void` | `setPostDirectory(java.lang.String postDirectory)` Sets the "post-directory" attribute
`void` | `setPostSuffix(java.lang.String postSuffix)` Sets the "post-suffix" attribute
`void` | `setProtocol(FtpMessageFilterDocument.FtpMessageFilter.Protocol.Enum protocol)` Sets the "protocol" attribute
`void` | `setReadOnly(boolean readOnly)` Sets the "read-only" attribute
`void` | `setUsername(java.lang.String username)` Sets the "username" attribute
`void` | `setWorkSuffix(java.lang.String workSuffix)` Sets the "work-suffix" attribute
`void` | `unsetCertificateName()` Unsets the "certificate-name" attribute
`void` | `unsetCertificatePassphrase()` Unsets the "certificate-passphrase" attribute
`void` | `unsetCertificateUrl()` Unsets the "certificate-url" attribute
`void` | `unsetErrorDelete()` Unsets the "error-delete" attribute
`void` | `unsetErrorDirectory()` Unsets the "error-directory" attribute
`void` | `unsetErrorSuffix()` Unsets the "error-suffix" attribute
`void` | `unsetPassive()` Unsets the "passive" attribute
`void` | `unsetPassword()` Unsets the "password" attribute
`void` | `unsetPostDelete()` Unsets the "post-delete" attribute
`void` | `unsetPostDirectory()` Unsets the "post-directory" attribute
`void` | `unsetPostSuffix()` Unsets the "post-suffix" attribute
`void` | `unsetProtocol()` Unsets the "protocol" attribute
`void` | `unsetReadOnly()` Unsets the "read-only" attribute
`void` | `unsetWorkSuffix()` Unsets the "work-suffix" attribute
`org.apache.xmlbeans.XmlString` | `xgetCertificateName()` Gets (as xml) the "certificate-name" attribute
`org.apache.xmlbeans.XmlString` | `xgetCertificatePassphrase()` Gets (as xml) the "certificate-passphrase" attribute
`org.apache.xmlbeans.XmlString` | `xgetCertificateUrl()` Gets (as xml) the "certificate-url" attribute
`org.apache.xmlbeans.XmlString` | `xgetDirectory()` Gets (as xml) the "directory" attribute
`org.apache.xmlbeans.XmlBoolean` | `xgetErrorDelete()` Gets (as xml) the "error-delete" attribute
`org.apache.xmlbeans.XmlString` | `xgetErrorDirectory()` Gets (as xml) the "error-directory" attribute
`org.apache.xmlbeans.XmlString` | `xgetErrorSuffix()` Gets (as xml) the "error-suffix" attribute
`org.apache.xmlbeans.XmlString` | `xgetInputSuffix()` Gets (as xml) the "input-suffix" attribute
`org.apache.xmlbeans.XmlBoolean` | `xgetPassive()` Gets (as xml) the "passive" attribute
`org.apache.xmlbeans.XmlString` | `xgetPassword()` Gets (as xml) the "password" attribute
`org.apache.xmlbeans.XmlBoolean` | `xgetPostDelete()` Gets (as xml) the "post-delete" attribute
`org.apache.xmlbeans.XmlString` | `xgetPostDirectory()` Gets (as xml) the "post-directory" attribute
`org.apache.xmlbeans.XmlString` | `xgetPostSuffix()` Gets (as xml) the "post-suffix" attribute
`FtpMessageFilterDocument.FtpMessageFilter.Protocol` | `xgetProtocol()` Gets (as xml) the "protocol" attribute
`org.apache.xmlbeans.XmlBoolean` | `xgetReadOnly()` Gets (as xml) the "read-only" attribute
`org.apache.xmlbeans.XmlString` | `xgetUsername()` Gets (as xml) the "username" attribute
`org.apache.xmlbeans.XmlString` | `xgetWorkSuffix()` Gets (as xml) the "work-suffix" attribute
`void` | `xsetCertificateName(org.apache.xmlbeans.XmlString certificateName)` Sets (as xml) the "certificate-name" attribute
`void` | `xsetCertificatePassphrase(org.apache.xmlbeans.XmlString certificatePassphrase)` Sets (as xml) the "certificate-passphrase" attribute
`void` | `xsetCertificateUrl(org.apache.xmlbeans.XmlString certificateUrl)` Sets (as xml) the "certificate-url" attribute
`void` | `xsetDirectory(org.apache.xmlbeans.XmlString directory)` Sets (as xml) the "directory" attribute
`void` | `xsetErrorDelete(org.apache.xmlbeans.XmlBoolean errorDelete)` Sets (as xml) the "error-delete" attribute
`void` | `xsetErrorDirectory(org.apache.xmlbeans.XmlString errorDirectory)` Sets (as xml) the "error-directory" attribute
`void` | `xsetErrorSuffix(org.apache.xmlbeans.XmlString errorSuffix)` Sets (as xml) the "error-suffix" attribute
`void` | `xsetInputSuffix(org.apache.xmlbeans.XmlString inputSuffix)` Sets (as xml) the "input-suffix" attribute
`void` | `xsetPassive(org.apache.xmlbeans.XmlBoolean passive)` Sets (as xml) the "passive" attribute
`void` | `xsetPassword(org.apache.xmlbeans.XmlString password)` Sets (as xml) the "password" attribute
`void` | `xsetPostDelete(org.apache.xmlbeans.XmlBoolean postDelete)` Sets (as xml) the "post-delete" attribute
`void` | `xsetPostDirectory(org.apache.xmlbeans.XmlString postDirectory)` Sets (as xml) the "post-directory" attribute
`void` | `xsetPostSuffix(org.apache.xmlbeans.XmlString postSuffix)` Sets (as xml) the "post-suffix" attribute
`void` | `xsetProtocol(FtpMessageFilterDocument.FtpMessageFilter.Protocol protocol)` Sets (as xml) the "protocol" attribute
`void` | `xsetReadOnly(org.apache.xmlbeans.XmlBoolean readOnly)` Sets (as xml) the "read-only" attribute
`void` | `xsetUsername(org.apache.xmlbeans.XmlString username)` Sets (as xml) the "username" attribute
`void` | `xsetWorkSuffix(org.apache.xmlbeans.XmlString workSuffix)` Sets (as xml) the "work-suffix" attribute

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getDirectory

    java.lang.String getDirectory()

  Gets the "directory" attribute

### xgetDirectory

    org.apache.xmlbeans.XmlString xgetDirectory()

  Gets (as xml) the "directory" attribute

### setDirectory

    void setDirectory(java.lang.String directory)

  Sets the "directory" attribute

### xsetDirectory

    void xsetDirectory(org.apache.xmlbeans.XmlString directory)

  Sets (as xml) the "directory" attribute

### getUsername

    java.lang.String getUsername()

  Gets the "username" attribute

### xgetUsername

    org.apache.xmlbeans.XmlString xgetUsername()

  Gets (as xml) the "username" attribute

### setUsername

    void setUsername(java.lang.String username)

  Sets the "username" attribute

### xsetUsername

    void xsetUsername(org.apache.xmlbeans.XmlString username)

  Sets (as xml) the "username" attribute

### getPassword

    java.lang.String getPassword()

  Gets the "password" attribute

### xgetPassword

    org.apache.xmlbeans.XmlString xgetPassword()

  Gets (as xml) the "password" attribute

### isSetPassword

    boolean isSetPassword()

  True if has "password" attribute

### setPassword

    void setPassword(java.lang.String password)

  Sets the "password" attribute

### xsetPassword

    void xsetPassword(org.apache.xmlbeans.XmlString password)

  Sets (as xml) the "password" attribute

### unsetPassword

    void unsetPassword()

  Unsets the "password" attribute

### getInputSuffix

    java.lang.String getInputSuffix()

  Gets the "input-suffix" attribute

### xgetInputSuffix

    org.apache.xmlbeans.XmlString xgetInputSuffix()

  Gets (as xml) the "input-suffix" attribute

### setInputSuffix

    void setInputSuffix(java.lang.String inputSuffix)

  Sets the "input-suffix" attribute

### xsetInputSuffix

    void xsetInputSuffix(org.apache.xmlbeans.XmlString inputSuffix)

  Sets (as xml) the "input-suffix" attribute

### getWorkSuffix

    java.lang.String getWorkSuffix()

  Gets the "work-suffix" attribute

### xgetWorkSuffix

    org.apache.xmlbeans.XmlString xgetWorkSuffix()

  Gets (as xml) the "work-suffix" attribute

### isSetWorkSuffix

    boolean isSetWorkSuffix()

  True if has "work-suffix" attribute

### setWorkSuffix

    void setWorkSuffix(java.lang.String workSuffix)

  Sets the "work-suffix" attribute

### xsetWorkSuffix

    void xsetWorkSuffix(org.apache.xmlbeans.XmlString workSuffix)

  Sets (as xml) the "work-suffix" attribute

### unsetWorkSuffix

    void unsetWorkSuffix()

  Unsets the "work-suffix" attribute

### getPostDelete

    boolean getPostDelete()

  Gets the "post-delete" attribute

### xgetPostDelete

    org.apache.xmlbeans.XmlBoolean xgetPostDelete()

  Gets (as xml) the "post-delete" attribute

### isSetPostDelete

    boolean isSetPostDelete()

  True if has "post-delete" attribute

### setPostDelete

    void setPostDelete(boolean postDelete)

  Sets the "post-delete" attribute

### xsetPostDelete

    void xsetPostDelete(org.apache.xmlbeans.XmlBoolean postDelete)

  Sets (as xml) the "post-delete" attribute

### unsetPostDelete

    void unsetPostDelete()

  Unsets the "post-delete" attribute

### getPostDirectory

    java.lang.String getPostDirectory()

  Gets the "post-directory" attribute

### xgetPostDirectory

    org.apache.xmlbeans.XmlString xgetPostDirectory()

  Gets (as xml) the "post-directory" attribute

### isSetPostDirectory

    boolean isSetPostDirectory()

  True if has "post-directory" attribute

### setPostDirectory

    void setPostDirectory(java.lang.String postDirectory)

  Sets the "post-directory" attribute

### xsetPostDirectory

    void xsetPostDirectory(org.apache.xmlbeans.XmlString postDirectory)

  Sets (as xml) the "post-directory" attribute

### unsetPostDirectory

    void unsetPostDirectory()

  Unsets the "post-directory" attribute

### getPostSuffix

    java.lang.String getPostSuffix()

  Gets the "post-suffix" attribute

### xgetPostSuffix

    org.apache.xmlbeans.XmlString xgetPostSuffix()

  Gets (as xml) the "post-suffix" attribute

### isSetPostSuffix

    boolean isSetPostSuffix()

  True if has "post-suffix" attribute

### setPostSuffix

    void setPostSuffix(java.lang.String postSuffix)

  Sets the "post-suffix" attribute

### xsetPostSuffix

    void xsetPostSuffix(org.apache.xmlbeans.XmlString postSuffix)

  Sets (as xml) the "post-suffix" attribute

### unsetPostSuffix

    void unsetPostSuffix()

  Unsets the "post-suffix" attribute

### getErrorDelete

    boolean getErrorDelete()

  Gets the "error-delete" attribute

### xgetErrorDelete

    org.apache.xmlbeans.XmlBoolean xgetErrorDelete()

  Gets (as xml) the "error-delete" attribute

### isSetErrorDelete

    boolean isSetErrorDelete()

  True if has "error-delete" attribute

### setErrorDelete

    void setErrorDelete(boolean errorDelete)

  Sets the "error-delete" attribute

### xsetErrorDelete

    void xsetErrorDelete(org.apache.xmlbeans.XmlBoolean errorDelete)

  Sets (as xml) the "error-delete" attribute

### unsetErrorDelete

    void unsetErrorDelete()

  Unsets the "error-delete" attribute

### getErrorDirectory

    java.lang.String getErrorDirectory()

  Gets the "error-directory" attribute

### xgetErrorDirectory

    org.apache.xmlbeans.XmlString xgetErrorDirectory()

  Gets (as xml) the "error-directory" attribute

### isSetErrorDirectory

    boolean isSetErrorDirectory()

  True if has "error-directory" attribute

### setErrorDirectory

    void setErrorDirectory(java.lang.String errorDirectory)

  Sets the "error-directory" attribute

### xsetErrorDirectory

    void xsetErrorDirectory(org.apache.xmlbeans.XmlString errorDirectory)

  Sets (as xml) the "error-directory" attribute

### unsetErrorDirectory

    void unsetErrorDirectory()

  Unsets the "error-directory" attribute

### getErrorSuffix

    java.lang.String getErrorSuffix()

  Gets the "error-suffix" attribute

### xgetErrorSuffix

    org.apache.xmlbeans.XmlString xgetErrorSuffix()

  Gets (as xml) the "error-suffix" attribute

### isSetErrorSuffix

    boolean isSetErrorSuffix()

  True if has "error-suffix" attribute

### setErrorSuffix

    void setErrorSuffix(java.lang.String errorSuffix)

  Sets the "error-suffix" attribute

### xsetErrorSuffix

    void xsetErrorSuffix(org.apache.xmlbeans.XmlString errorSuffix)

  Sets (as xml) the "error-suffix" attribute

### unsetErrorSuffix

    void unsetErrorSuffix()

  Unsets the "error-suffix" attribute

### getPassive

    boolean getPassive()

  Gets the "passive" attribute

### xgetPassive

    org.apache.xmlbeans.XmlBoolean xgetPassive()

  Gets (as xml) the "passive" attribute

### isSetPassive

    boolean isSetPassive()

  True if has "passive" attribute

### setPassive

    void setPassive(boolean passive)

  Sets the "passive" attribute

### xsetPassive

    void xsetPassive(org.apache.xmlbeans.XmlBoolean passive)

  Sets (as xml) the "passive" attribute

### unsetPassive

    void unsetPassive()

  Unsets the "passive" attribute

### getProtocol

    FtpMessageFilterDocument.FtpMessageFilter.Protocol.Enum getProtocol()

  Gets the "protocol" attribute

### xgetProtocol

    FtpMessageFilterDocument.FtpMessageFilter.Protocol xgetProtocol()

  Gets (as xml) the "protocol" attribute

### isSetProtocol

    boolean isSetProtocol()

  True if has "protocol" attribute

### setProtocol

    void setProtocol(FtpMessageFilterDocument.FtpMessageFilter.Protocol.Enum protocol)

  Sets the "protocol" attribute

### xsetProtocol

    void xsetProtocol(FtpMessageFilterDocument.FtpMessageFilter.Protocol protocol)

  Sets (as xml) the "protocol" attribute

### unsetProtocol

    void unsetProtocol()

  Unsets the "protocol" attribute

### getCertificateUrl

    java.lang.String getCertificateUrl()

  Gets the "certificate-url" attribute

### xgetCertificateUrl

    org.apache.xmlbeans.XmlString xgetCertificateUrl()

  Gets (as xml) the "certificate-url" attribute

### isSetCertificateUrl

    boolean isSetCertificateUrl()

  True if has "certificate-url" attribute

### setCertificateUrl

    void setCertificateUrl(java.lang.String certificateUrl)

  Sets the "certificate-url" attribute

### xsetCertificateUrl

    void xsetCertificateUrl(org.apache.xmlbeans.XmlString certificateUrl)

  Sets (as xml) the "certificate-url" attribute

### unsetCertificateUrl

    void unsetCertificateUrl()

  Unsets the "certificate-url" attribute

### getCertificateName

    java.lang.String getCertificateName()

  Gets the "certificate-name" attribute

### xgetCertificateName

    org.apache.xmlbeans.XmlString xgetCertificateName()

  Gets (as xml) the "certificate-name" attribute

### isSetCertificateName

    boolean isSetCertificateName()

  True if has "certificate-name" attribute

### setCertificateName

    void setCertificateName(java.lang.String certificateName)

  Sets the "certificate-name" attribute

### xsetCertificateName

    void xsetCertificateName(org.apache.xmlbeans.XmlString certificateName)

  Sets (as xml) the "certificate-name" attribute

### unsetCertificateName

    void unsetCertificateName()

  Unsets the "certificate-name" attribute

### getCertificatePassphrase

    java.lang.String getCertificatePassphrase()

  Gets the "certificate-passphrase" attribute

### xgetCertificatePassphrase

    org.apache.xmlbeans.XmlString xgetCertificatePassphrase()

  Gets (as xml) the "certificate-passphrase" attribute

### isSetCertificatePassphrase

    boolean isSetCertificatePassphrase()

  True if has "certificate-passphrase" attribute

### setCertificatePassphrase

    void setCertificatePassphrase(java.lang.String certificatePassphrase)

  Sets the "certificate-passphrase" attribute

### xsetCertificatePassphrase

    void xsetCertificatePassphrase(org.apache.xmlbeans.XmlString certificatePassphrase)

  Sets (as xml) the "certificate-passphrase" attribute

### unsetCertificatePassphrase

    void unsetCertificatePassphrase()

  Unsets the "certificate-passphrase" attribute

### getReadOnly

    boolean getReadOnly()

  Gets the "read-only" attribute

### xgetReadOnly

    org.apache.xmlbeans.XmlBoolean xgetReadOnly()

  Gets (as xml) the "read-only" attribute

### isSetReadOnly

    boolean isSetReadOnly()

  True if has "read-only" attribute

### setReadOnly

    void setReadOnly(boolean readOnly)

  Sets the "read-only" attribute

### xsetReadOnly

    void xsetReadOnly(org.apache.xmlbeans.XmlBoolean readOnly)

  Sets (as xml) the "read-only" attribute

### unsetReadOnly

    void unsetReadOnly()

  Unsets the "read-only" attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD